#ifndef __CDAMEM_H__
#define __CDAMEM_H__

#include "slideprimitive.h"

// CDA Memory Management

class CDAVertex;
class CDAEdge;
class CDAFace;
class CDAPolyhedron;
class CDACell;
class CDA;

CDAVertex *AllocateCDAVertex();
VOID DeallocateCDAVertex(CDAVertex *pCDAVertex);

CDAEdge *AllocateCDAEdge();
VOID DeallocateCDAEdge(CDAEdge *pCDAEdge);

CDAFace *AllocateCDAFace();
VOID DeallocateCDAFace(CDAFace *pCDAFace);

CDAPolyhedron *AllocateCDAPolyhedron();
VOID DeallocateCDAPolyhedron(CDAPolyhedron *pCDAPolyhedron);

CDACell *AllocateCDACell();
VOID DeallocateCDACell(CDACell *pCDACell);

CDA *AllocateCDA();
VOID DeallocateCDA(CDA *pCDA);

#endif // __CDAMEM_H__
