#include "qeedgecollapse.h"

//////////////////////////////////////////////////////////////////////
// QEEdgeCollapse Class
//

QEEdgeCollapse::QEEdgeCollapse()
{
  UINT_32 i;

  m_bEdgeExists = TRUE;
  m_pe = NULL;
  m_pvx = NULL;
  for ( i = 0; i < 2; i++ )
    {
      m_ppeNeighbor[i] = NULL;
      m_ppeRemoved[i] = NULL;
      m_ppfaRemoved[i] = NULL;
      m_pecLink[i] = NULL;
    }
}

QEEdgeCollapse::~QEEdgeCollapse()
{
  Uninit();
}

VOID QEEdgeCollapse::Init()
{
  UINT_32 i;

  m_bEdgeExists = TRUE;
  m_pe = NULL;
  m_pvx = NULL;
  for ( i = 0; i < 2; i++ )
    {
      m_ppeNeighbor[i] = NULL;
      m_ppeRemoved[i] = NULL;
      m_ppfaRemoved[i] = NULL;
      ASSERT( m_pecLink[i] == NULL );
    }
}

VOID QEEdgeCollapse::Uninit()
{
  UINT_32 i;

  m_bEdgeExists = TRUE;
  m_pe = NULL;
  m_pvx = NULL;
  for ( i = 0; i < 2; i++ )
    {
      m_ppeNeighbor[i] = NULL;
      m_ppeRemoved[i] = NULL;
      m_ppfaRemoved[i] = NULL;
      m_pecLink[i] = NULL;
    }
}

BOOL QEEdgeCollapse::Initialized()
{
  return TRUE;
}

BOOL QEEdgeCollapse::Valid()
{
  return TRUE;
}

VOID QEEdgeCollapse::Display()
{
  //printf("    E %p:  V[0] = %p  <==>  V[1] = %p\n", this, GetVertex(), GetNeighborVertex());
}
