#include "qewedge.h"

//////////////////////////////////////////////////////////////////////
// QEWedge Class
//

QEWedge::QEWedge()
{
  UINT_32 i;

  for ( i = 0; i < 2; i++ )
    {
      m_pweLink[i] = NULL;
    }
}

QEWedge::~QEWedge()
{
  Uninit();
}

VOID QEWedge::Init()
{
  UINT_32 i;

  for ( i = 0; i < 2; i++ )
    {
      ASSERT( m_pweLink[i] == NULL );
    }
}

VOID QEWedge::Uninit()
{
  UINT_32 i;

  for ( i = 0; i < 2; i++ )
    {
      m_pweLink[i] = NULL;
    }
}

BOOL QEWedge::Initialized()
{
  return TRUE;
}

BOOL QEWedge::Valid()
{
  return Initialized();
}

VOID QEWedge::Preprocess()
{
}
/*
VOID QEWedge::Render()
{
  gilTexCoord2fv(m_ptTexture.Get());
  gilNormal3fv(m_vNormal.Get());
}
*/
VOID QEWedge::Display()
{
  printf("    Wedge %p: ", this);
  m_ptTexture.Display();
  m_vNormal.Display();
}

