#ifndef __QEWRITE_H__
#define __QEWRITE_H__

#include "qemesh.h"

VOID WriteSLIDEMesh(QEMesh *pme, FILE *fpOutputFile);

VOID WriteSLIDEVoronoiMountain(QEMesh *pme, FILE *fpOutputFile);

VOID WriteRIB(QEMesh *pme, FILE *fpOutputFile, const Matrix &m);
VOID WriteSTL(QEMesh *pme, FILE *fpOutputFile, const Matrix &m);
VOID WriteSIFShell(QEMesh *pme, FILE *fpOutputFile, UINT_32 uiIndentLevel);
VOID WriteELE(QEMesh *pme, FILE *fpOutputFile, UINT_32 uiStart = 0);
VOID WriteVoronoi(QEMesh *pme, FILE *fpNode, FILE *fpEdge, UINT_32 uiStart = 0);

VOID WriteWRLZ(QEMesh *pme, FILE *fpOutputFile, const Matrix &m);
VOID WriteWRLZ(QEMesh *pme, FILE *fpOutputFile, const Matrix &m, CSLIDESurface *pCSLIDESurface);
VOID WriteWRLZQuads(QEMesh *pme, FILE *fpOutputFile, const Matrix &m);
VOID WriteWRLZQuads(QEMesh *pme, FILE *fpOutputFile, const Matrix &m, CSLIDESurface *pCSLIDESurface);

#endif // __QEWRITE_H__
