#ifndef __SIF_H__
#define __SIF_H__

#include "mathlib.h"

enum SIFReservedWordType 
{
  sifrwtSIF_SFF, 
  sifrwtUnits, 
  sifrwtMilimeters, 
  sifrwtInches, 
  sifrwtAccuracy, 
  sifrwtConstellation, 
  sifrwtSolid, 
  sifrwtShell, 
  sifrwtUnion, 
  sifrwtIntersection, 
  sifrwtDifference, 
  sifrwtSurface, 
  sifrwtTriangles, 
  sifrwtTriangle, 
  sifrwtVertices, 
  sifrwtVertex, 
  sifrwtColor, 
  sifrwtRGB, 
  sifrwtSize
};

extern CHAR *gcppcSIFReservedWords[sifrwtSize];

VOID WriteSIFIndent(FILE *fpOutputFile, UINT_32 uiIndentLevel);
VOID WriteSIFVertex(FILE *fpOutputFile, UINT_32 uiIndentLevel, const Point &pt);
VOID WriteSIFTriangle(FILE *fpOutputFile, UINT_32 uiIndentLevel, UINT_32 uiID0, UINT_32 uiID1, UINT_32 uiID2);

#endif // __SIF_H__
