#include "slide.h"

CHAR *gcppcSLIDEReservedWords[sliderwtSize] =
{
  "SLF_INHERIT",
  "tclinit",
  "tclupdate",
  "tcltag",
  "mergeepsilon",
  "ribbegin",
  "ribend",
  "graphposition",
  "guiID",
  "render",
  "blend",
  "endrender",
  "window",
  "endwindow",
  "origin",
  "size",
  "resize",
  "ratio",
  "background",
  "viewport",
  "endviewport",
  "camera",
  "endcamera",
  "projection",
  "frustum",
  "light",
  "endlight",
  "type",
  "deaddistance",
  "falloff",
  "angularfalloff",
  "arealight",
  "endarealight",
  "samples",
  "group",
  "endgroup",
  "instance",
  "endinstance",
  "seam",
  "endseam",
  "contour",
  "endcontour",
  "segment",
  "endsegment",
  "side",  
  "reverse",
  "camerainstance",
  "endcamerainstance",
  "lightinstance",
  "endlightinstance",
  "transform",
  "endtransform",
  "translate",
  "scale",
  "rotate",
  "lookat",
  "endlookat",
  "eye",
  "target",
  "up",
//  "general",
  "object",
  "endobject",
  "face",
  "endface",
  "point",
  "endpoint",
  "controlpoint",
  "endcontrolpoint",
  "surface",
  "endsurface",
  "color",
  "reflectivity",
  "exponent",
  "metallic",
  "fog",
  "endfog",
  "density",
  "start",
  "end",
  "id",
  "stencil",
  "shading",
  "lod",
  "solid",
  "normal",
  "texture",

  "sphere",
  "endsphere",
  "cylinder",
  "endcylinder",
  "cone",
  "endcone",
  "torus",
  "endtorus",
  "cyclide",
  "endcyclide",
  "height",
  "width",
  "radius",
  "majorradius",
  "minorradius",
  "zmin",
  "zmax",
  "phimin",
  "phimax",
  "thetamin",
  "thetamax",
  "zslices",
  "phislices",
  "thetaslices",
  "stringlength",
  "drawellipse",
  "drawhyperbola",

  "heightfield",
  "endheightfield",
  "umin",
  "umax",
  "vmin",
  "vmax",
  "func",

  "bsplinepatch",
  "endbsplinepatch",
  "nurbpatch",
  "endnurbpatch",
  "bezierpatch",
  "endbezierpatch",
  "uorder",
  "uknots",
  "uknotlist",
  "vorder",
  "vknots",
  "vknotlist",
  "controlpointlist",
  "uslices",
  "vslices",
  "drawcontrols",

  "bsplinecurve",
  "endbsplinecurve",
  "beziercurve",
  "endbeziercurve",
  "order",
  "knots",
  "knotlist",
  "slices",
  "minimizetorsion",
  "closed",
  "azimuth",
  "twist",

  "polyline",
  "endpolyline",
  "pointlist",
  "drawpoints",

  "sweepmorph",
  "endsweepmorph",
  "sweep",
  "endsweep",
  "path",
  "endpath",
  "crosssection",
  "endcrosssection",
  "drawpath",
  "drawsweep",
  "circle",
  "cresent",
  "star",
  "meshtype",

  "thickness",
  "theta",
  "innerradius",
  "outerradius",
  "symmetry",
  "orientation",
  "endcap",
  "begincap",

  "mesh",
  "endmesh",
  "vertex",
  "endvertex",
  "facet",
  "endfacet",
  "edge",
  "endedge",
  "edgeproperty",
  "endedgeproperty",
  "vertexproperty",
  "endvertexproperty",
  "sharpness",

  "convexhull",
  "endconvexhull",
  "generalface",
  "endgeneralface",
  "cleanupcontour",
  "millingcontour",
  "offsets",
  "offsetmin",
  "offsetmax",
  "individualvoronoimin",
  "individualvoronoimax",
  "terrain",
  "endterrain",
  "voronoi",
  "accuracy",
  "random",
  "drawdelaunay",
  "drawvertices",
  "drawcontours",
  "drawCDT",
  "drawindividualvoronoi",
  "drawvoronoi",
  "drawheight",
  "drawoffset",
  "drawmillingcontour",
  "subdivision",
  "endsubdivision",
  "drawcurrent",
  "tolerance",
  "facetsmax",
  "offset",
  "endoffset",
  "dual",
  "enddual",
  "evolver",
  "endevolver",
  "mirror",
  "endmirror",
  "geodesic",
  "endgeodesic",

  "union",
  "endunion",
  "intersection",
  "endintersection",
  "difference",
  "enddifference",

  "sgroot",
  "endsgroot",

  "cameraui",
  "camerauispeed",

  "wormwarp",
  "pathonoff",
  "endwormwarp"
};

CHAR *gcppcSLIDETextureReservedWords[slidetexturetSize] =
{
  "SLF_ENVMAP",
  "SLF_TEXMAP"
};

CHAR *gcppcSLIDEOnOffReservedWords[slideoftSize] =
{
  "SLF_OFF",
  "SLF_ON"
};

CHAR *gcppcSLIDESolidReservedWords[slidestSize] =
{
  "SLF_SOLID",
  "SLF_HOLLOW"
};

CHAR *gcppcSLIDEShadingReservedWords[slideshtSize] =
{
//  gcppcSLIDEReservedWords[sliderwtSLF_INHERIT],
  "BadShading",
  "SLF_WIRE",
  "SLF_FLAT",
  "SLF_GOURAUD",
  "SLF_PHONG"
};

CHAR *gcppcSLIDELODReservedWords[slidelodtSize] =
{
  //  gcppcSLIDEOnOffReservedWords[slideoftSLF_OFF],
  "BadLOD",
  "SLF_BOUND",
  "SLF_EDGES",
  "SLF_FULL"
};

CHAR *gcppcSLIDEProjectionReservedWords[slidepjtSize] =
{
  "SLF_PARALLEL",
  "SLF_PERSPECTIVE"
};

CHAR *gcppcSLIDELightReservedWords[slideltSize] =
{
  "SLF_AMBIENT",
  "SLF_DIRECTIONAL",
  "SLF_POINT",
  "SLF_SPOT"
};

CHAR *gcppcSLIDEFogReservedWords[slidefogtSize] =
{
  "SLF_LINEAR",
  "SLF_EXP",
  "SLF_EXP2"
};

CHAR *gcppcSLIDEStencilReservedWords[slidesttSize] =
{
  "SLF_BOTH",
  "SLF_ODD",
  "SLF_EVEN"
};

CHAR *gcppcSLIDEAspectRatioReservedWords[slideartSize] =
{
  "SLF_FIXED",
  "SLF_ANY",
  "SLF_FULL_SCREEN"
};

CHAR *gcppcSLIDECameraUserInterfaceReservedWords[slidecuitSize] =
{
  "SLF_RESET_CUI",
  "SLF_PAUSE_CUI",
  "SLF_CAD_CUI",
  "SLF_FLY_CUI",
  "SLF_EXPLORE_CUI"
};

CHAR *gcppcSLIDEMouseUserInterfaceReservedWords[slidemuitSize] =
{
  "SLF_NO_MUI",
  "SLF_CB_GENERAL_ROTATION",
  "SLF_CB_SCALE",
  "SLF_CB_Z_ROTATION",
  "SLF_CAM_Z_TRANSLATE",
  "SLF_CAM_PAN",
  "SLF_CAM_GENERAL_ROTATION",
  "SLF_CAM_INTEGRAL"
};

CHAR *gcppcSLIDESubdivisionReservedWords[slidesubtSize] =
{
  "SLF_SUBDIVISION_DOO_SABIN",
  "SLF_SUBDIVISION_DOO_SABIN_SELECTIVE",
  "SLF_SUBDIVISION_DOO_SABIN_SELECTIVE_LIMIT",
  "SLF_SUBDIVISION_CATMULL_CLARK",
  "SLF_SUBDIVISION_SHARP_CATMULL_CLARK",
  "SLF_SUBDIVISION_CATMULL_CLARK_TESSELATE",
  "SLF_SUBDIVISION_CATMULL_CLARK_INTERPOLATE",
  "SLF_SUBDIVISION_CATMULL_CLARK_C2",
  "SLF_SUBDIVISION_CATMULL_CLARK_SELECTIVE",
  "SLF_SUBDIVISION_CATMULL_CLARK_OLD",
  "SLF_SUBDIVISION_CORNER_CUTTING",
  "SLF_SUBDIVISION_CORNER_ROUNDING_TESSELATE",
  "SLF_SUBDIVISION_CORNER_ROUNDING",
  "SLF_SUBDIVISION_CORNER_ROUNDING_LOOP",
  "SLF_SUBDIVISION_CORNER_ROUNDING_SHARP_LOOP",
  "SLF_SUBDIVISION_CORNER_ROUNDING_BUTTERFLY",
  "SLF_SUBDIVISION_CORNER_ROUNDING_ZORIN",
  "SLF_SUBDIVISION_CORNER_ROUNDING_SELECTIVE",
  "SLF_SUBDIVISION_CORNER_ROUNDING_SELECTIVE_LIMIT",
  "SLF_SUBDIVISION_CORNER_ROUNDING_SHARP_SELECTIVE_LIMIT",
  "SLF_SUBDIVISION_CORNER_ROUNDING_FACET_SHARP_SELECTIVE_LIMIT",
  "SLF_SUBDIVISION_TRIANGLE_TESSELATE",
  "SLF_SUBDIVISION_TRIANGLE_LOOP",
  "SLF_SUBDIVISION_TRIANGLE_LOOP_EDGE_RULE",
  "SLF_SUBDIVISION_TRIANGLE_BUTTERFLY",
  "SLF_SUBDIVISION_TRIANGLE_ZORIN",
  "SLF_SUBDIVISION_TRIANGLE_SPHERE",
  "SLF_SUBDIVISION_SQRT_3", 
  "SLF_SUBDIVISION_SQRT_3_SPHERE_BARYCENTER", 
  "SLF_SUBDIVISION_SQRT_3_SPHERE_CENTER", 
  "SLF_SUBDIVISION_SQRT_3_SPHERE_RADIUS", 
  "SLF_SUBDIVISION_SQRT_3_SPHERE_CAP_AREA", 
  "SLF_SUBDIVISION_SQRT_3_SPHERE_TRIANGLE_AREA", 
  "SLF_SUBDIVISION_SQRT_3_SPHERE_TANGENT", 
  "SLF_SUBDIVISION_SQRT_3_SELECTIVE", 
  "SLF_SUBDIVISION_SQRT_3_SELECTIVE_FACET", 
  "SLF_SUBDIVISION_SQRT_4", 
  "SLF_SUBDIVISION_SQRT_4_SELECTIVE",
  "SLF_SUBDIVISION_PROGRESSIVE",
  "SLF_SUBDIVISION_HETEROGENEOUS",
  "SLF_SUBDIVISION_HETEROGENEOUS_STAM_LOOP",
  "SLF_SUBDIVISION_HETEROGENEOUS_OLD",
  "SLF_SUBDIVISION_HETEROGENEOUS_TESSELATE",
  "SLF_SUBDIVISION_PENTAGON",
  "SLF_SUBDIVISION_PENTAGON_TESSELATE",
  "SLF_SUBDIVISION_GEOMETRIC",
  "SLF_SUBDIVISION_GEOMETRIC_TESSELATE"
};

CHAR *gcppcSLIDEErrorMetricReservedWords[slideemtSize] =
{
  "SLF_ERROR_METRIC_BEST_FIT_PLANE",
  "SLF_ERROR_METRIC_LIMIT_DISTANCE"
};

CHAR *gcppcSLIDEVertexReservedWords[slidevxtSize] =
{
  "SLF_VERTEX_SMOOTH", 
  "SLF_VERTEX_CORNER"
};

CHAR *gcppcSLIDEOffsetReservedWords[slideofftSize] =
{
  "SLF_OFFSET_ANGULAR",
  "SLF_OFFSET_ROUNDED",
  "SLF_OFFSET_PERFORATED"
};

CHAR *gcppcSLIDETerrainReservedWords[slidetertSize] =
{
  "SLF_TERRAIN_DELAUNAY_INCREMENTAL", 
  "SLF_TERRAIN_DELAUNAY_INCREMENTAL_SLOW", 
  "SLF_TERRAIN_DELAUNAY_INCREMENTAL_NO_BOUND", 
  "SLF_TERRAIN_DELAUNAY_DIVIDE_AND_CONQUER", 
  "SLF_TERRAIN_DELAUNAY_DIVIDE_AND_CONQUER_ALTERNATING", 
  "SLF_TERRAIN_DELAUNAY_CONVEX_HULL"
};

CHAR *gcppcSLIDEVoronoiReservedWords[slidevtSize] =
{
  "SLF_VORONOI_OFF", 
  "SLF_VORONOI_DELAUNAY", 
  "SLF_VORONOI_DIVIDE_AND_CONQUER", 
  "SLF_VORONOI_DIVIDE_AND_CONQUER_ALTERNATING", 
  "SLF_VORONOI_CONES",
  "SLF_VORONOI_PLANES"
};

CHAR *gcppcSLIDEAccuracyReservedWords[slideatSize] =
{
  "SLF_FLOAT_NAIVE", 
  "SLF_FLOAT", 
  "SLF_EXACT"
};

CHAR *gcppcSLIDEWormwarpReservedWords[slidewtSize] = 
{
  "SLF_BEAD",
  "SLF_AXIS",
  "SLF_BERNSTEIN"
};

CHAR *gcppcSLIDEMeshTypeReservedWords[slidemtSize] = 
{
  "SLF_TRIANGLES",
  "SLF_QUADRILATERALS"
};

/////////////////////////////////////////////////////////////////////////////////
// GUI - Jane

CHAR *gcppcSLIDEGUISolidReservedWords[slidestSize] =
{
  "solid",
  "hollow"
};

CHAR *gcppcSLIDEGUIShadingReservedWords[slideshtSize] =
{
  "inherit",
  "wire",
  "flat",
  "gouraud",
  "phong"
};

CHAR *gcppcSLIDEGUILODReservedWords[slidelodtSize] =
{
  "off",
  "bound",
  "edges",
  "full"
};


